<?php
/**
* @version $Id: v1.7.3 August 2012 01:32:15
* @author Fastball Productions
* @package com_fullcourt
* @copyright Copyright (C) 2009-2017 Fastball Productions
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

/* Change History
  12/17/17 MCrosbie - Corrected issue with SQL
*/

/* no direct access; */
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class FullcourtModelDivisions extends JModelLegacy {
	var $_leagues;
	var $_divisions;
	var $_total = null;
	var $_pagination = null;

	function __construct() {
		$option = JRequest::getCmd('option');
		$app = JFactory::getApplication();
		parent::__construct();
		$limit = $app->getUserStateFromRequest('global.list.limit', 'limit', $app->getCfg('list_limit'));
		$limitstart = $app->getUserStateFromRequest($option.'limitstart', 'limitstart', 0);
		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);
	}

	function saveOrder() {
		$db = $this->getDBO();

		$cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
		$order = JRequest::getVar( 'order', array(), 'post', 'array' );

		$row =  JTable::getInstance('division', 'Table');
		for ($i = 0; $i < sizeof($cid); $i++) {
			$row->load((int)$cid[$i]);
			if ($row->ordering != $order[$i]) {
				$row->ordering = $order[$i];
				if (!$row->store()) {
					return JError::raiseError( 500, $db->getErrorMsg() );
				}
			}
		}

		return true;
	}

	function getDivisions() {
		$db  =  $this->getDBO();
		/* $query = "SELECT d.*, l.name As leaguename FROM #__fullcourt_division As d LEFT JOIN #__fullcourt_league AS l on d.leagueid = l.id ORDER BY ordering ASC"; */
		$query = "SELECT d.*, l.name As leaguename FROM #__fullcourt_division As d LEFT JOIN #__fullcourt_league AS l on d.leagueid = l.id ORDER BY division ASC";
		$db->setQuery($query);
		$this->_divisions = $db->loadObjectList();
		return $this->_divisions;
	}

	function delete($cids) {
		$db = $this->getDBO();
		$table = $db->quoteName('#__fullcourt_division');
		$id = $db->quoteName('id');
		$query = "DELETE FROM " . $table . " WHERE " . $id . "IN (" . implode( ',', $cids ) . ")";
		$db->setQuery( $query );

		if(!$db->query()) {
			$errorMessage = $this->getDBO()->getErrorMsg();
			JError::raiseError( 500, 'Error deleting revues: ' . $errorMessage );
		}
	}

	function publish() {
		$db  =  $this->getDBO();
		$table = $db->quoteName('#__fullcourt_division');
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$task = JRequest::getVar( 'task', '', 'default', 'default' );
		if ($task == 'divisionpublish') {
			$publish = 1;
		}
		else {
			$publish = 0;
		}
		$table =  JTable::getInstance('division', 'Table');
		$table->publish($cid, $publish);
	}

	function getPagination() {
		if (empty($this->_pagination)) {
			jimport('joomla.html.pagination');
			$total = $this->_total;
			$limitstart = $this->getState('limitstart');
			$limit = $this->getState('limit');
			$this->_pagination = new JPagination($total, $limitstart, $limit);
		}
		return $this->_pagination;
	}

}

?>
