<?php

/**
* @author fullcourt Productions
* @package com_fullcourt
* @copyright Copyright (C) 2009-2017 fullcourt Productions
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/


/* Change History
08/03/12 MCrosbie - Added support for imbedded maps.google URL in iCal appointments
09/25/12 MCrosbie - Removed event end time.   Added game label of "Home:" and "Away:" to Summary.
 10/22/12 MCrosbie - Corrected logic error forcing game label of "Away:" for all Varsity games.
11/25/12 MCrosbie - Replaced strstr() call with explode() after website migration to HostGator.
11/28/12 MCrosbie - Updated iCal export logic to include DTEND for events with TBA time.
12/06/12 MCrosbie - Added showp (Show Practices) flag and related logic.
 12/08/12 MCrosbie - Corrected logic forcing game label of "Home:" for Varsity White games.
                    Added logic to check for blank end time (midnight).
 11/27/12 MCrosbie - Added 'Freshman' to home/away logic.
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.model' );

class ModelFullcourtSchedule extends JModelLegacy {
	var $_id = null;
	var $_day = null;
	var $_currentday = null;
	var $_lastday = null;
	var $_nextday = null;
	var $_month = null;
	var $_currentmonth = null;
	var $_nextmonth = null;
	var $_lastmonth = null;
	var $_year = null;
	var $_currentyear = null;
	var $_lastyear = null;
	var $_nextyear = null;
	var $_date = null;
	var $_yyyymm = null;
	var $_timestamp = null;
	var $_daysinmonth = null;
	var $_offset = null;
	var $_startrow = null;
	var $_heading = null;
	var $_events = null;
	var $_schedule = null;
	var $_leagueid = null;
	var $_divisionid = null;
	var $_defaultseasonid = null;
	var $_layout = null;
	var $_isfrontendadmin = null;
	var $_team = null;
	var $_leaguename;
	var $_divisionname;
	var $_showp = null;	/* MCrosbie - 12/06/12 */
	var $_extrainfo = null;

	function __construct() {
		parent::__construct();
		$option = JFactory::getApplication()->input->get('option');
		$layout = JFactory::getApplication()->input->get( 'layout', 'default', 'DEFAULT' );
		$this->_layout = $layout;

		$app = JFactory::getApplication('site');
		$params = $app->getParams($option);

		/* get the team id; */
		$id = JFactory::getApplication()->input->get('id','0');
		$this->_id = $id;
		
		$teamid = $params->get('teamids');
			//print_r($teamid );
		/*}*/

		//$this->_id = $teamid;
		//AND (a.hometeam = {$this->_id} OR a.visitingteam = {$this->_id})
		/*if (!in_array(NULL, $teamid))
		{ 
			if( is_array( $teamid ) ) 
			{
				$this->_teamidCondition = ' AND (a.hometeam IN ( ' . implode( ',', $teamid ) . ') OR  a.visitingteam IN ( ' . implode( ',', $teamid ) . ' ) )';
			} 
			else 
			{
			$this->_teamidCondition = ' AND (a.hometeam = '.$teamid.' OR a.visitingteam='.$teamid.')';
			}	
		}*/

		if ($id == 0) {
		$teamid = $params->get('teamids');
		if (!in_array(NULL, $teamid))
		{ 
			if( is_array( $teamid ) ) 
			{
				$this->_teamidCondition = ' AND (a.hometeam IN ( ' . implode( ',', $teamid ) . ') OR  a.visitingteam IN ( ' . implode( ',', $teamid ) . ' ) )';
				$this->_teamid = implode( ',', $teamid );
				$this->_id = $this->_teamid;
			} 
			else 
			{
				$this->_teamidCondition = ' AND (a.hometeam = '.$teamid.' OR a.visitingteam='.$teamid.')';
				$this->_teamid= '('.$teamid.')';
				$this->_id = $teamid;
			}	
		}	
		}

		else
		{
		$this->_teamidCondition = 'AND (a.hometeam = '.$id.' OR a.visitingteam='.$id.')';	
		$this->_teamid = $id;
		$this->_id = $id;
		}

		/* no team id so check the menu parameter for it; */
		/*if ($id == 0) {
			$app = JFactory::getApplication('site');
			$params = $app->getParams('com_fullcourt');
			$id = intval($params->get('id'));
		}
		$this->_id = $id;*/
		/* check for a league ID; */

		$lid = JFactory::getApplication()->input->get('lid', 0, 'INT');
		$leagueid = $params->get('leagueids');
		
		//print_r($leagueid);
		/*if (!in_array(NULL, $leagueid))
		{ 
			if( is_array( $leagueid ) ) 
			{
				$this->_leagueidCondition = ' AND (h.leagueid IN ( ' . implode( ',', $leagueid ) . ') )';
			} 
			else 
			{
			$this->_leagueidCondition = ' AND (h.leagueid = '.$leagueid.')';
			}	
		}*/

		if ($leagueid!='') {
			if (!in_array(NULL, $leagueid))
		{ 
			if( is_array( $leagueid ) ) 
			{
				$this->_leagueidCondition = ' AND (h.leagueid IN ( ' . implode( ',', $leagueid ) . ') )';
				$this->_leagueid = implode( ',', $leagueid );;
				$this->_db->setQuery("SELECT name FROM #__fullcourt_league WHERE id IN ({$this->_leagueid} )");
				$league = $this->_db->loadObjectList();
				foreach($league as $league)
				{
				$this->_leaguename.= stripslashes($league->name).",";
				}
				$this->_leaguename =substr($this->_leaguename,0,-1);
			} 
			else 
			{
			$this->_leagueidCondition = ' AND (h.leagueid = '.$leagueid.')';
			$this->_leagueid=$leagueid;
			$this->_db->setQuery("SELECT name FROM #__fullcourt_league WHERE id IN ({$leagueid} )");
			$league = $this->_db->loadObject();
			$this->_leaguename =stripslashes($league->name);
			}	
		}

		}
		else
		{
		if($lid>0)
			{
			$this->_leagueidCondition = ' AND (h.leagueid = '.$lid.')';
			$this->_leagueid=$lid;
			$this->_db->setQuery("SELECT name FROM #__fullcourt_league WHERE id IN ({$lid} )");
			$league = $this->_db->loadObject();
			$this->_leaguename =stripslashes($league->name);
			}
			else
			{
			$this->_leagueidCondition = ' ';
			}
		}
		
		//echo "<br>aa-->".$this->_id;
		//echo "<br>bb-->".$this->_leagueidCondition;
		
		/* no league ID so check the menu parameter for it; */
		/*if ($leagueid == 0) {
			$app = JFactory::getApplication('site');
			$params = $app->getParams('com_fullcourt');
			$leagueid = intval($params->get('lid'));
		}
		$this->_leagueid = $leagueid;*/

		/* check for a division ID; */
		$did = JFactory::getApplication()->input->get('did', 0, 'INT');
		$gametype=JFactory::getApplication()->input->get('gametypes', 0, 'INT');
			$divisionid = $params->get('divisionids');
		/*if (!in_array(NULL, $divisionid))
		{ 
			if( is_array( $divisionid ) ) 
			{
			$this->_divisionidCondition = ' AND (h.divisionid IN ( ' . implode( ',', $divisionid ) . ') OR v.divisionid IN ( ' . implode( ',', $divisionid ) . ') )';
			} 
			else 
			{
			$this->_divisionidCondition = ' AND (h.divisionid = '.$divisionid.' OR v.divisionid='.$divisionid.')';
			}	
		}*/

		if($divisionid!='')
		{			
			if (!in_array(NULL, $divisionid))
			{ 
				if( is_array( $divisionid ) ) 
				{
				  $this->_divisionidCondition = ' AND (h.divisionid IN ( ' . implode( ',', $divisionid ) . ') OR v.divisionid IN ( ' . implode( ',', $divisionid ) . ') )';
				  $this->_divisionid=implode( ',', $divisionid );	

				  //echo "SELECT division FROM #__fullcourt_division WHERE (id IN ( {$this->_divisionidCondition} ) AND leagueid IN ($this->_leagueid) )";
				  $this->_db->setQuery("SELECT division FROM #__fullcourt_division WHERE (id IN ( {$this->_divisionid} ) AND leagueid IN ($this->_leagueid) )");
				  $division = $this->_db->loadObjectList();

				  foreach($division as $division)
				  {
				    $this->_divisionname.= stripslashes($division->division).",";
				  }
				  $this->_divisionname =substr($this->_divisionname,0,-1);
				} 
				else 
				{
				  $this->_divisionidCondition = ' AND (h.divisionid = '.$divisionid.' OR v.divisionid='.$divisionid.')';
				  //echo "SELECT division FROM #__fullcourt_division WHERE (id IN ( {$divisionid} ) AND leagueid IN ($this->_leagueid)";
				  $this->_db->setQuery("SELECT division FROM #__fullcourt_division WHERE (id IN ( {$divisionid} ) AND leagueid IN ($this->_leagueid)");
				  $division = $this->_db->loadObject();
				  $this->_divisionname =stripslashes($division->name);
				}	
			}
		}
		else
		{
			if($did>0)
			{
			$this->_divisionidCondition = ' AND (h.divisionid = '.$did.' OR v.divisionid='.$did.')';
			$this->_db->setQuery("SELECT division FROM #__fullcourt_division WHERE (id IN ( {$did} ) AND leagueid IN ($this->_leagueid)");
			$division = $this->_db->loadObject();
			$this->_divisionname =stripslashes($division->name);
			}
			else
			{
			$this->_divisionidCondition = ' ';
			}
		}

		$gametype = $params->get('gametypes');
		//print_r($gametype);
		//$this->_divisionid = $divisionid;
		//$this->_gametype = $gametype;
		/*if (!in_array(NULL, $gametype))
		{ 
			if( is_array( $gametype ) ) 
			{
				$this->_gametypeCondition = ' AND (a.gametype IN ( ' . implode( ',', $gametype ) . ') )';
			} 
			else 
			{
			$this->_gametypeCondition = ' AND (a.gametype = '.$gametype.')';
			}	
		}*/

		if($gametype !='')
		{
			if (!in_array(NULL, $gametype))
			{	 
				if( is_array( $gametype ) ) 
				{
					$this->_gametypeCondition = ' AND (a.gametype IN ( ' . implode( ',', $gametype ) . ') )';
				} 
				else 
				{
					$this->_gametypeCondition = ' AND (a.gametype = '.$gametype.')';
				}	
			}
		}
		else
		{
		$this->_gametypeCondition ='';
		}
		error_log("DEBUG: this->_gametypeCondition: $this->_gametypeCondition \n",3,"logs/debug.log");

		/* no division ID so check the menu parameter for it; */
		/*if ($divisionid == 0) {
			$app = JFactory::getApplication('site');
			$params = $app->getParams('com_fullcourt');
			$divisionid = intval($params->get('did'));
		}
		$this->_divisionid = $divisionid;*/
                //$showp = JRequest::getVar('showp', 0, 'GET', 'INT');

                $showp = JFactory::getApplication()->input->post->get('showp', 0, 'GET', 'INT');
                /* no show practice flag, so check the menu parameter for it; */
                if ($showp == 0) {
                        $app = JFactory::getApplication('site');
                        $params = $app->getParams('com_fullcourt');
                        $showp = intval($params->get('showp'));
                }
                $this->_showp = $showp;
		error_log("DEBUG: this->_showp: $this->_showp \n",3,"logs/debug.log");
		$day = JFactory::getApplication()->input->get('day', date('j'), 'INT');
		$this->_day = $day;
		error_log("DEBUG: this->_day: $this->_day \n",3,"logs/debug.log");
		$month = JFactory::getApplication()->input->get('month', date('m'), 'INT');
		$this->_month = $month;
		error_log("DEBUG: this->_month: $this->_month \n",3,"logs/debug.log");
		$year = JFactory::getApplication()->input->get('year', date('Y'), 'INT');
		$this->_year = $year;
		error_log("DEBUG: this->_year: $this->_year \n",3,"logs/debug.log");

		$date = $year . '-' . $month . '-01';
		$this->_date = $date;
		error_log("DEBUG: this->_date: $this->_date \n",3,"logs/debug.log");

		$daysinmonth = date("t", strtotime($date));
		$this->_daysinmonth = $daysinmonth;
		error_log("DEBUG: this->_daysinmonth: $this->_daysinmonth \n",3,"logs/debug.log");

		$offset = date("w", strtotime($date));
		$this->_offset = $offset;
		error_log("DEBUG: this->_offset: $this->_offset \n",3,"logs/debug.log");

		$startrow = 1;
		$this->_startrow = 1;
		$seasonid = $params->get('seasonids');
		error_log("DEBUG: seasonid: $seasonid \n",3,"logs/debug.log");

		/*if (!in_array(NULL, $seasonid))
		{ 
			if( is_array( $seasonid ) ) 
			{
				$this->_seasonidCondition = ' a.season IN ( ' . implode( ',', $seasonid ) . ')';
			} 
			else 
			{
			$this->_seasonidCondition = ' a.season = '.$seasonid;
			}	
		}
		else
		{
		$this->_seasonidCondition = 'a.season = '.getDefaultSeasonId();
		}*/
		
		if($seasonid!='')
		{
		if (!in_array(NULL, $seasonid))
		{ 
			if( is_array( $seasonid ) ) 
			{
				$this->_seasonidCondition = 'AND a.season IN ( ' . implode( ',', $seasonid ) . ')';
			} 
			else 
			{
			$this->_seasonidCondition = 'AND a.season = '.$seasonid;
			}	
		}
		else
		{
		$this->_seasonidCondition = 'AND a.season = '.getDefaultSeasonId();
		}
		}
		else
		{
		$this->_seasonidCondition='';
		}
		error_log("DEBUG: this->_seasonidCondition: $this->_seasonidCondition \n",3,"logs/debug.log");
/****
	 OST Change 
	 Added is_array
****/		
if((is_array($leagueid) && is_array($divisionid) && is_array($teamid))){ 
		if(in_array(NULL, $leagueid) && in_array(NULL, $divisionid) && in_array(NULL, $teamid))
		{
		$sql="SELECT name FROM #__fullcourt_season WHERE isdefault = 1";
		$this->_db->setQuery($sql);
		$season =$this->_db->loadObject();
		//print_r($season);
		//$season = $db->loadObject();
		$this->_displayheading=$season->name;
		error_log("DEBUG: this->_displayheading: $this->_displayheading \n",3,"logs/debug.log");
		}
		else if(!in_array(NULL, $leagueid) && in_array(NULL, $divisionid) && in_array(NULL, $teamid))
		{
		$sql="SELECT name FROM #__fullcourt_league WHERE id IN ($this->_leagueid)";
		$this->_db->setQuery($sql);
		$league =$this->_db->loadObjectList();
		foreach($league as $league)
		{
		$this->_displayheading.= stripslashes($league->name).",";
		}
		$this->_displayheading =substr($this->_displayheading,0,-1);
		}
		else if(in_array(NULL, $leagueid) && !in_array(NULL, $divisionid) && in_array(NULL, $teamid))
		{
		$sql="SELECT division FROM #__fullcourt_division WHERE id IN ($this->_divisionid)";
		$this->_db->setQuery($sql);
		$league =$this->_db->loadObjectList();
		foreach($league as $league)
		{
		$this->_displayheading.= stripslashes($league->division).",";
		}
		$this->_displayheading =substr($this->_displayheading,0,-1);
		}
}	
		error_log("DEBUG: this->_displayheading: $this->_displayheading \n",3,"logs/debug.log");
		/* check for a season ID param to be set or set the default season id; */
		/*$seasonid = intval($params->get('seasonid'));
		if ($seasonid) {
			$this->_defaultseasonid = $seasonid;
		}
		else {
			$this->_defaultseasonid = getDefaultSeasonId();
		}*/
		/* set the next month/last month member vars for paging through the calendar month view; */
		if ($layout == 'day') {
			$tmpdate = date('Y-m-d', strtotime($year . '-' . $month . '-' . $day));
			$this->_timestamp = date('c', strtotime($tmpdate));
			$tmpdatelast = date('Y-m-d', strtotime($tmpdate . '-1 day'));
			$this->_lastyear = date('Y', strtotime($tmpdatelast));
			$this->_lastmonth = date('n', strtotime($tmpdatelast));
			$this->_lastday = date('j', strtotime($tmpdatelast));
			$tmpdatenext = date('Y-m-d', strtotime($tmpdate . '+1 day'));
			$this->_nextyear = date('Y', strtotime($tmpdatenext));
			$this->_nextmonth = date('n', strtotime($tmpdatenext));
			$this->_nextday = date('j', strtotime($tmpdatenext));
		}
		else {
			$tmpdate = date('Y-m-d', strtotime($year . '-' . $month));
			$this->_timestamp = date('c', strtotime($tmpdate));
			$tmpdatelast = date('Y-m-d', strtotime($tmpdate . '-1 month'));
			$this->_lastyear = date('Y', strtotime($tmpdatelast));
			$this->_lastmonth = date('n', strtotime($tmpdatelast));
			$tmpdatenext = date('Y-m-d', strtotime($tmpdate . '+1 month'));
			$this->_nextyear = date('Y', strtotime($tmpdatenext));
			$this->_nextmonth = date('n', strtotime($tmpdatenext));
		}

		/* assign some current date vars for the direct calendar/month/day calendar links; */

		$this->_currentday = date('j');
		$this->_currentmonth = date('n');
		$this->_currentyear = date('Y');

		/* OST Changes */
		if($this->_id == ''){
			$this->_id = '0';
		}
		/* OST Changes */
		/* check if user is a frontend admin; */
		$admin = isFrontendAdmin($this->_id);
		$this->_isfrontendadmin = $admin;
	}

	function getDayEvents() {
		if (!$this->_events) {
			$events = isDayEvent($this->_schedule, $this->_day, $this->_month, $this->_year);
			$this->_events = $events;
		}
		return $this->_events;
	}



	function getSchedule() {

		if (!$this->_schedule) {

			/* create the chosen calendar date in a yyyy-mm date format; */

			$this->_yyyymm = date('Y-m', strtotime($this->_year . '-' . $this->_month . '-' . $this->_day));
			$this->_date = date('Y-m-d', strtotime($this->_year . '-' . $this->_month . '-' . $this->_day));


			if (isset($this->_teamidCondition) || isset($this->_teamid)) {
				//echo "SELECT id, name, facebook, website, mediaschedule FROM #__fullcourt_team WHERE id IN ({$this->_teamid} )";
				$this->_db->setQuery("SELECT id, name, facebook, website, mediaschedule FROM #__fullcourt_team WHERE id IN ({$this->_teamid} )");
				$team = $this->_db->loadObjectList();
				foreach($team as $team)
				{
				$this->_heading.= stripslashes($team->name).",";
				}
				$this->_heading =substr($this->_heading,0,-1);
				$this->_team = $team;

 			error_log("DEBUG: team: $team  layout: $this_layout\n",3,"logs/debug.log");

				if ($this->_layout == 'default' || $this->_layout == 'ical' || $this->_layout == 'print') {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_divisionidCondition $this->_teamidCondition";
				}
				else if ($this->_layout == 'day') {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_divisionidCondition $this->_teamidCondition AND DATE_FORMAT(a.gamedatetime, '%Y-%m-%d') = '{$this->_date}'";
				}
				else {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_divisionidCondition $this->_teamidCondition AND DATE_FORMAT(a.gamedatetime, '%Y-%m') = '{$this->_yyyymm}'";
				}
			}
			else if (isset($this->_leagueidCondition) && isset($this->_divisionidCondition)) {
				//$heading = getLeagueName($this->_leagueidCondition) . '/' . getDivisionName($this->_divisionidCondition);
				$heading = $this->_leaguename . '/' . $this->_divisionname;
				$this->_heading = stripslashes($heading);
				if ($this->_layout == 'default' || $this->_layout == 'ical' || $this->_layout == 'print') {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_leagueidCondition $this->_divisionidCondition";
				}
				else if ($this->_layout == 'day') {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_leagueidCondition $this->_divisionidCondition AND DATE_FORMAT(a.gamedatetime, '%Y-%m-%d') = '{$this->_date}'";
				}
				else {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_leagueidCondition $this->_divisionidCondition AND DATE_FORMAT(a.gamedatetime, '%Y-%m') = '{$this->_yyyymm}'";
				}
			}
			else {
				//$heading = getLeagueName($this->_leagueidCondition);
				$this->_heading = $this->_displayheading;
				if(!isset($this->_seasonidCondition)){
					$this->_seasonidCondition = '';
				}
				if(!isset($this->_gametypeCondition)){
					$this->_gametypeCondition = '';
				}
				if(!isset($this->_leagueidCondition)){
					$this->_leagueidCondition = '';
				}

				//$this->_heading = stripslashes($heading);

				if ($this->_layout == 'default' || $this->_layout == 'ical' || $this->_layout == 'print') {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_leagueidCondition";
				}
				else if ($this->_layout == 'day') {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_leagueidCondition AND DATE_FORMAT(a.gamedatetime, '%Y-%m-%d') = '{$this->_date}'";
				}
				else {
					$whereclause = "$this->_seasonidCondition $this->_gametypeCondition $this->_leagueidCondition AND DATE_FORMAT(a.gamedatetime, '%Y-%m') = '{$this->_yyyymm}'";
				}
			}

			$default_season=$this->getDefaultSeason();
			error_log("DEBUG: default_season: $default_season whereclause: $whereclause\n",3,"logs/debug.log");
			$whereclause=$whereclause." AND a.season='".$default_season."'";
			$schedule = calendarSchedule($whereclause);
			$this->_schedule = $schedule;
		}
		return $this->_schedule;
	}

	function pushIcal() {
		/* get the Joomla configuration settings to pull the time zone offset; */
		$config =  JFactory::getConfig();
		$zonename = $config->get('offset');

		/* get the time zone name based on the offset; */
		//$zonename = getTMZ($offset);
		/* use the hostname as the iCal file name; */
		$host = JFactory::getURI()->getHost();
		$ical = "BEGIN:VCALENDAR\r\n";
		$ical .= "PRODID:-//fullcourt Productions//NONSGML v1.0//EN\r\n";
		$ical .= "VERSION:2.0\r\n";
		$ical .= "X-WR-TIMEZONE:$zonename\r\n";
		foreach ($this->_schedule as $row) {
			$event = '';
			$location = '';
			$uid = md5($row->id) . $row->id . '@' . $host;
			if ($row->gametime == '12:00 AM') {
				$dtdate = date('Ymd', strtotime($row->gamedatetime));
			}
			else {
				$dtdate = '';
				$dtstart = date('Ymd', strtotime($row->gamedatetime)) . 'T' . date('His', strtotime($row->gamedatetime));
	//		 	$dtend = date('Ymd', strtotime($row->gamedatetime  . ' +2 hours')) . 'T' . date('His', strtotime($row->gamedatetime . ' +2 hours'));
				$dtend = date('Ymd', strtotime($row->gamedatetime)) . 'T' . date('His', strtotime($row->gameendtime));	/* MCrosbie - 11/28/12 */
			}
			$created = date('Ymd') . 'T' . date('His');
			$visitingteam = $row->visitingteam;
			$hometeam = $row->hometeam;
			if ($row->visitingteam == '') {
				$visitingteam = 'TBA';
			}
			if ($row->hometeam == '') {
				$hometeam = 'TBA';
			}
			if ($row->gametype == 'Practice') {
				$event = $hometeam . ' Practice: ' . $row->gametime;
			}
			else if ($row->gametype == 'Tournament Game') {
				$event = 'Tournament: ' . $visitingteam . ' vs. ' . $hometeam . ' ' . $row->gametime;	/* delta */
			}
			else {
				$event = $visitingteam . ' vs. ' . $hometeam . ' ' . $row->gametime; /* delta */
			}
			$event .= ', ' . $row->status;
			if ($row->fieldname != '') {
				$location = $row->fieldname;
				if ($row->address || $row->zipcode) {
					$location .= ' ,' . $row->address . ', ' . $row->zipcode;
				}
			}
                        /* 09/25/12 MCrosbie - Added logic for summary header of "Home:" or "Away:" */
                        // $htfirstw = strstr($hometeam,' ',true); - this used to work on hosting24.com. ???
                        $htwords = explode(' ',$hometeam);  // 11/25/12 - MCrosbie - HostGator migration fix.
                        $htfirstw = $htwords[0];
                        if ($row->gametype != 'Practice') {
                            if (( $htfirstw == 'Jr' ) || ( $htfirstw == 'Varsity' ) || ( $htfirstw == 'Freshman' )) {
                                    $sumhdr = 'Home: ';
                            }
                            else {
                                    $sumhdr = 'Away: ';
                            }
                            $summary = $sumhdr . $visitingteam . ' vs. ' . $hometeam;
                        } else {
                            $summary = 'Practice: ' . $hometeam . ' at ' . $row->fieldname;
                        }

			// $summary = $visitingteam . ' vs. ' . $hometeam;
                        // Find out if the end time is midnight.  MCrosbie - 12/08/12 
                        $dtwords = explode('T',$dtend);
                        $dtendtime = $dtwords[1];

			$ical .= "BEGIN:VEVENT\r\n";
			if ($dtdate) {
				$ical .= "DTSTART;VALUE=DATE:$dtdate\r\n";
			        $ical .= "DTEND;VALUE=DATE:$dtdate\r\n";	/* MCrosbie - */
			}
			else {
				$ical .= "DTSTART:$dtstart\r\n";
					/* MCrosbie - 12/08/12 */
				        if ($dtendtime != '000000') {   // Include end time if not midnight.
					$ical .= "DTEND:$dtend\r\n";
					}
			}
			$ical .= "DTSTAMP:$created\r\n";
			$ical .= "UID:$uid\r\n";
			$ical .= "CREATED:$created\r\n";
			$ical .= "DESCRIPTION:$event\r\n";
			$ical .= "LOCATION:$location\r\n";
			$ical .= "SUMMARY:$summary\r\n";
                        $ical .= "URL;VALUE=URI:$url\r\n";   /* 08/03/12 - MCrosbie */
                        $ical .= "X-EXTRAINFO:$row->extrainfo\r\n";   /* 12/27/12 - MCrosbie */
                        $ical .= "COMMENT:  \r\n"; /* 11/19/16 - MCrosbie temp fix for missing events */
			$ical .= "END:VEVENT\r\n";
		}

		$ical .= "END:VCALENDAR\r\n";
		header('Content-type: text/calendar; charset=utf-8');
		header('Content-Disposition: inline; filename=' . $host . '.ics');
		echo $ical;
		exit;
	}
	
	function getDefaultSeason()
	{
	$sql="SELECT id FROM #__fullcourt_season WHERE isdefault = 1";
	$this->_db->setQuery($sql);
	$season =$this->_db->loadResult();
	return $season;
	}
}
?>
